For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
      • POSTCreate Site
      • PATCHUpdate Site
      • DELDelete Site
      • GETGet Site Plan
LogoLogo
Resources
Get started
EnterpriseWorkspace Management

Delete Site

DELETE
https://api.webflow.com/v2/sites/:site_id
DELETE
/v2/sites/:site_id
$curl -X DELETE https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741 \
> -H "Authorization: Bearer <token>"
Delete a site. <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope | `sites:write`
Was this page helpful?
Previous

Get Site Plan

Next
Built with

Delete a site.

Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope | sites:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful. No Content is returned.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error